import pandas as pd
from torch.nn import functional
import torch

   
class Tool:
    def __init__(self) -> None:
        self.__OneHot_Encording = []
        pass

    def Set_OneHotEncording(self, content):
        Counter = []
        for i in range(len(content)):
            Counter.append(i)

        Counter = torch.tensor(Counter)
        self.__OneHot_Encording = functional.one_hot(Counter, len(content))
        pass 
        
    def Get_OneHot_Encording_Label(self):
        return self.__OneHot_Encording